Query inventory address
GET https://{handle}.myshopline.com/admin/openapi/v20261201/locations.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
locationsobject[]
Locationzip stringZip codeExample:21000town stringTown / streetExample:Ottawadistrict stringDistrict/CountyExample:Ottawacountry stringCountry nameExample:Canadacity stringCityExample:Ottawaaddress1 stringStreet addressExample:126 York Streetactive booleanAvailable or notExample:trueprovince_code stringProvince , state or region codeExample:2400011id stringLocation idExample:5668167071852661850address2 stringOptional second line of street addressExample:Unit 42created_at stringLocation created timeExample:2021-08-16T08:27:57+00:00is_default stringDefault locationExample:trueprovince stringProvince , state or regionExample:Ontarioupdated_at stringLocation update timeExample:2021-08-16T08:27:57+00:00country_code stringCountry ( ISO 3166-1 alpha-2 )Example:CAphone stringPhone number for locationExample:18883290139name stringLocation nameExample:Ottawa Store
API Explorer
Debugger
Was this article helpful to you?